Skip to content
Myra Online Help Updated · 21 Aug 2026

Changing the settings of an IP filter entry

Note

The body must include the attributes id and modified to identify the corresponding entry.

Note

Make sure that the id of the DNS record in the path of the request is the same as the value for the attribute id in the body.

Sends a PUT request to the endpoint /domain/{domainId}/ip-filters/{name}/{id}.

Description

The Change-IP-Filter request allows the user to change the settings of an IP filter entry of a subdomain of the organisation.

Requirements

Values of the request: Domain-ID {domainId}, Subdomain name {name}, IP-Filter-ID {id}

Objects: IpFilterVO

Request

To change an IP filter entry of a domain, the Domain-ID {domainId}, the Subdomain name {name}, and the IP-Filter-ID {id} need to be added to the path of the request.

For a detailed specification of which information is required to change an IP filter entry, the object IpFilterVO with the following attributes needs to be defined in the body:

Attributes Description Values
value The values in the format of an IP address or CIDR notation for the IP filter.
  • Single IP address
  • CIDR notation
  • Range of IP addresses
type The type of the IP filter entry.
  • WHITELIST
  • BLACKLIST
  • WHITELIST_REQUEST_LIMITER
id The ID of the entry. integer
modified The last modification date in ISO 8601 format. string($date-time)

The following attributes are optional:

Attributes Description Values
SubdomainName The name of the subdomain for which the IP filter entry is used. string
enabled The availability of the entry.
  • true
  • false

The system returns the object IpFilterVO with the changed information.

Example

Example request body:

{
  "objectType": "string",
  "value": "string",
  "type": "string",
  "expireDate": "string",
  "subDomainName": "string",
  "comment": "string",
  "enabled": true
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.